<?php use_helper('UrlFunctions'); ?>
<?php

if(isset($control)){
  if($id){
  	$o_PlaEmpresaColaboradorFN = new PlaEmpresaColaboradorFN();
	$o_PlaEmpresaColaboradorFN->setIdempresa($id);
	$a_ObjectBean = $o_PlaEmpresaColaboradorFN->select();
	
	if(!is_array($a_ObjectBean)){
		$o_PlaEmpresa = new PlaEmpresaDP();
	    $o_PlaEmpresa->setIdEmpresa($id);
	    $o_PlaEmpresa->setEliminado("1");
	    $o_PlaEmpresa->setFechaeliminado(date( "Y-m-d H:i:s" ));
	    $o_PlaEmpresa->setUsuarioeliminado(myUser::getUser()->getUserId());
	    
	    $bResult = $o_PlaEmpresa->update();
	}else{
		$bResult = 0;
	}

    
    
    if($bResult){
      ?>
      <script language="JavaScript">
      parent.objMainTab.reqBody('<?=buildUrl('empresa/list')?>','002&delete=1&cod=<?=$id?>');
       parent.objMainTab.windowsCloseAll();
      </script>
      <?
      
    }else{
        ?>
	      <script language="JavaScript">
	      parent.objMainTab.reqBody('<?=buildUrl('empresa/list')?>','002&delete=1&cod=<?=$id?>');
	      </script>
	      <?
    }
  } 
}
$o_PlaEmpresaColaboradorFN = new PlaEmpresaColaboradorFN();
$o_PlaEmpresaColaboradorFN->setIdempresa($id);
$a_ObjectBean = $o_PlaEmpresaColaboradorFN->select();

if(is_array($a_ObjectBean)){
	$bResult = "No se puede eliminar la empresa hasta que elimine los empleados asignados";
}
$o_PlaEmpresa = new PlaEmpresaFN();
$o_PlaEmpresa->setIdEmpresa($id);
$ob_PlaEmpresa = $o_PlaEmpresa->selectByPK();

if(is_object($ob_PlaEmpresa)){
?>
<form name='form' method="POST" onsubmit='disableButton()'>
	<input type="hidden" name="control" value="1" >
	<input type="hidden" name="id" value="<?=$id?>">
	
	
	<table class="grid" width="100%" border="0" cellpadding="2" cellspacing="0">
		<?php if($bResult){?>
		<tr height="">
			<td colspan="2" align="center" class="req"><?php echo $bResult?></td>
		</tr>
		<?php }else{?>
		<tr height="">
			<td colspan="2" align="center" class="req">¿Esta seguro de eliminar la empresa?</td>
		</tr>
		<?php }?>
	    <tr height="">
	      <td width="25%" align="right" class="req">Nombre</td>
	      <td width="75%" align="left"><?=$ob_PlaEmpresa->getDescripcion()?></td>
	    </tr>
	   
	    
	    <tr>
		<td align="center" colspan="5">
		  <input type="hidden" name="typeSubmit" id="typeSubmit">
		  <!--<input class="button" type="submit" value="Grabar y Nuevo" onclick="$('typeSubmit').value='add';"/>-->
		  <?php if(!$bResult){?>
		  <input class="button" id='btn' type="submit" value="Aceptar" onclick="$('typeSubmit').value='list';">
		  <?php }?>
		  <input class="button" type="button" value="Cancelar" onclick="parent.objMainTab.windowsCloseAll();"/>
		</td>
		</tr>
	</table>
	
	    </td>
	  </tr>
	</table>
</form>
<?php
}
?>